View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Deprecation notice: Adding tracking details for an order through /v1/shipping/trackers-batch is deprecated as its a legacy way of integration. Use the new Orders v2 API to share tracking details with PayPal.Adds tracking information, with or without tracking numbers, for multiple PayPal transactions. Accepts up to 20 tracking IDs. For more information, see Add tracking information with tracking numbers and Add tracking information without tracking numbers.Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/shipping/trackers/readwriteapplication/json
TypeScript Definitions
Use the request body type in TypeScript.
trackersobject<tracker>[]Optionaltracking_number_typeenum<tracking_number_type>Optionalstatusenum<tracking_status>Requiredshipment_datestring<date_no_time>Optionalcarrierstring<carrier>Optionallast_updated_timestring<date_time>Optionalapplication/json
application/json
curl -X POST "https://example.com/v1/shipping/trackers-batch" \ -H "Content-Type: application/json" \ -d '{}'{ "tracker_identifiers": [ { "transaction_id": "string", "tracking_number": "string", "links": [ { "href": "string", "rel": "string", "method": "GET" } ] } ], "errors": [ { "name": "string", "message": "string", "debug_id": "string", "information_link": "string", "details": [ { "field": "string", "value": "string", "location": "body", "issue": "string", "description": "string", "links": [ { "href": "string", "rel": "string", "method": "GET" } ] } ], "links": [ { "href": "string", "rel": "string", "method": "GET" } ] } ], "links": [ { "href": "string", "rel": "string", "method": "GET" } ]}